VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Attributes | List of all members
CViewContainer::Impl Struct Reference

## Public Types
using | ViewContainerListenerDispatcher = DispatchList< IViewContainerListener * >

## Public Attributes
ViewContainerListenerDispatcher | viewContainerListeners
CGraphicsTransform | transform
ViewList | children
CDrawStyle | backgroundColorDrawStyle {kDrawFilledAndStroked}
CColor | backgroundColor {kBlackCColor}

## Member Typedef Documentation

using ViewContainerListenerDispatcher = DispatchList<IViewContainerListener*>

## Member Data Documentation

CColor backgroundColor {kBlackCColor}

CDrawStyle backgroundColorDrawStyle {kDrawFilledAndStroked}

ViewList children

CGraphicsTransform transform

ViewContainerListenerDispatcher viewContainerListeners

The documentation for this struct was generated from the following file:

- cviewcontainer.cpp